# Uses of Interface
org.apache.avro.file.SeekableInput

Packages that use SeekableInput
Package
Description
org.apache.avro.file
A container file for Avro data.

## Uses of SeekableInput in org.apache.avro.file

Classes in org.apache.avro.file that implement SeekableInput
Modifier and Type
Class
Description
`class`
`SeekableByteArrayInput`
A `SeekableInput` backed with data in a byte array.
`class`
`SeekableFileInput`
A `FileInputStream` that implements `SeekableInput`.
Methods in org.apache.avro.file with parameters of type SeekableInput
Modifier and Type
Method
Description
`DataFileWriter<D>`
DataFileWriter.`appendTo(SeekableInput in, OutputStream out)`
Open a writer appending to an existing file.
`static <D> FileReader<D>`
DataFileReader.`openReader(SeekableInput in, DatumReader<D> reader)`
Open a reader for a file.
`static <D> DataFileReader<D>`
DataFileReader.`openReader(SeekableInput in, DatumReader<D> reader, DataFileStream.Header header, boolean sync)`
Construct a reader for a file at the current position of the input, without reading the header.
Constructors in org.apache.avro.file with parameters of type SeekableInput
Modifier
Constructor
Description
``
`DataFileReader(SeekableInput sin, DatumReader<D> reader)`
Construct a reader for a file.
`protected`
`DataFileReader(SeekableInput sin, DatumReader<D> reader, boolean closeOnError, byte[] magic)`
Construct a reader for a file.
`protected`
`DataFileReader(SeekableInput sin, DatumReader<D> reader, DataFileStream.Header header)`
Construct using a `DataFileStream.Header`.
``
`DataFileReader12(SeekableInput sin, DatumReader<D> reader)`
Construct a reader for a file.